Bug 990792 - No cartridge status info shows for zend app
No cartridge status info shows for zend app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
medium Severity low
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 23:06 EDT by Lei Zhang
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:48:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-07-31 23:06:12 EDT
Description of problem:
Given a zend app(e.g., myzend56), check the cartridge status of zend app, no status info, but just "RESULT" shows
[rayzhang@rayzhang Work]$ rhc cartridge status -a  myzend56 -c zend-5.6
RESULT:

Version-Release number of selected component (if applicable):
INT(devenv_3595)
devenv_stage_429

How reproducible:
always

Steps to Reproduce:
1. create a zend app 
#rhc app create myzend56 zend-5.6 
2. check the status of cartridge 
#rhc cartridge status -a  myzend56 -c zend-5.6
3.

Actual results:
No status info shows when check the cartridge status of zend app

Expected results:
Status info should show when check the cartridge status of zend app

Additional info:
Comment 1 Andy Goldstein 2013-11-04 14:02:59 EST
https://github.com/openshift/li/pull/2087
Comment 2 openshift-github-bot 2013-11-04 17:39:38 EST
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/cb1570e4177a00a033d0f4758251dfc601cb34b5
Correct zend cartridge status output

Use client_result instead of echo when reporting status.

Bug 990792
Comment 3 Lei Zhang 2013-11-04 21:07:19 EST
Verified on devenv_3986

[lijun@ray Work]$ rhc cartridge status -a myzend56 -c zend-5.6
RESULT:
Application is running

Note You need to log in before you can comment on or make changes to this bug.